//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "RegExt.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TRegExt *)
{
        new TRegExt(NULL);
}
//---------------------------------------------------------------------------
__fastcall TRegExt::TRegExt(TComponent* Owner)
        : TComponent(Owner)
{
}
//---------------------------------------------------------------------------
namespace Regext
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TRegExt)};
                 RegisterComponents("Alexis Ros", classes, 0);
        }
}
//---------------------------------------------------------------------------
void __fastcall TRegExt::Register(void)
{
        if(fileExt == "")
        {
                MessageBox(NULL, "FileExt property is required", "Requirement",
                        MB_ICONSTOP);
                return;

        }
        String myPath = Application->ExeName + " %1";
        String myIcon = Application->ExeName + ",0";
        TRegistry* Reg = new TRegistry;
        Reg->RootKey = HKEY_CLASSES_ROOT;
        Reg->OpenKey("."+fileExt+"\\shell\\open\\command",
              true);
        Reg->WriteString("", myPath);
        Reg->CloseKey();
        Reg->OpenKey("."+fileExt+"\\DefaultIcon", true);

        Reg->WriteString("",myIcon);
        Reg->CloseKey();
        delete Reg;

}