//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "DiskSerial.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TDiskSerial *)
{
        new TDiskSerial(NULL);
}
//---------------------------------------------------------------------------
__fastcall TDiskSerial::TDiskSerial(TComponent* Owner)
        : TComponent(Owner)
{
}
//---------------------------------------------------------------------------
namespace Diskserial
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TDiskSerial)};
                 RegisterComponents("Alexis Ros", classes, 0);
        }
}
//---------------------------------------------------------------------------
void __fastcall TDiskSerial::GetSerial(String myDrive)
{


    char* RootPathName = myDrive.c_str();
    char VolumeNameBuffer[256];
    DWORD VolumeNameSize = 256;
    DWORD VolumeSerialNumber;
    DWORD MaximumComponentLength;
    DWORD FileSystemFlags;
    char FileSystemNameBuffer[256];
    DWORD FileSystemNameSize = 256;

    const bool result = GetVolumeInformation(
       RootPathName,
       VolumeNameBuffer,
       VolumeNameSize,
       &VolumeSerialNumber,
       &MaximumComponentLength,
       &FileSystemFlags,
       FileSystemNameBuffer,
       FileSystemNameSize
       );

    char HighPart[64];
    char LowPart[64];

// there are two macros to extract parts of DWORD,
// but I don't remember what they are
// so quick and dirty old way
    if (result)
        {
        ultoa(VolumeSerialNumber & 0xffff, LowPart, 16 );
        ultoa((VolumeSerialNumber >> 16) & 0xffff, HighPart, 16 );
        FSerial = String(HighPart) + "-" + String(LowPart);
        diskDrive = myDrive;
        }

}