//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "ISPDisconnect.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------
// ValidCtrCheck is used to assure that the components created do not have
// any pure virtual functions.
//

static inline void ValidCtrCheck(TISPDisconnect *)
{
        new TISPDisconnect(NULL);
}
//---------------------------------------------------------------------------
__fastcall TISPDisconnect::TISPDisconnect(TComponent* Owner)
        : TComponent(Owner)
{
}
//---------------------------------------------------------------------------
namespace Ispdisconnect
{
        void __fastcall PACKAGE Register()
        {
                 TComponentClass classes[1] = {__classid(TISPDisconnect)};
                 RegisterComponents("Alexis Ros", classes, 0);
        }
}
//---------------------------------------------------------------------------
void __fastcall TISPDisconnect::Disconnect(String DUNName)
{
    typedef unsigned long ULONG;
    ULONG x;
    ULONG lpcConnections = 0;

    HRASCONN hRasConn;
    RASCONNA rc[255];
    rc[0].dwSize = sizeof (RASCONNA);
    ULONG lpcb = ULONG(256 * rc[0].dwSize);
    x = RasEnumConnections(&rc[0], &lpcb, &lpcConnections);
    if(x == 0)
    {
        for(unsigned int i = 0; i < lpcConnections; i++)
        {
            if(String(rc[i].szEntryName) == DUNName)
            {
                hRasConn = rc[i].hrasconn;
                RasHangUp(hRasConn);
            }
        }
    }
}

void __fastcall TISPDisconnect::DisconnectAll(void)
{
    typedef unsigned long ULONG;
    ULONG x;
    ULONG lpcConnections = 0;

    HRASCONN hRasConn;
    RASCONNA rc[255];
    rc[0].dwSize = sizeof (RASCONNA);
    ULONG lpcb = ULONG(256 * rc[0].dwSize);
    x = RasEnumConnections(&rc[0], &lpcb, &lpcConnections);
    if(x == 0)
    {
        for(unsigned int i = 0; i < lpcConnections; i++)
        {
                hRasConn = rc[i].hrasconn;
                RasHangUp(hRasConn);
        }
    }
}

